Subject: Re: How to supply "raw" bytes to git grep?

From: Jakub Narebski <[email-masked]>
Date: Thu, 18 Sep 2008 18:31:30 +0200

Johan Herland wrote:

> I wanted to list all text files in my repo which contain carriage 
> returns, so I tried the following command-line:
> 
>       git grep --cached -I -l -e <CR>
> 
> where <CR> is some magic incantation that I've yet to figure out. I've 
> tried all the obvious cases (\r, 0x0d, \015, etc.), but none of them 
> seem to DWIM...

Why not use _literal_ CR; of course protecting it by piockung it by
shell as end of command by quites, for example

  $ git grep --cached -I -l -e '
  '

It works for me (bash).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git